package com.ruoyi.system.domain.butler;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 物业管家设置对象 butler_settings
 * 
 * @author boman
 * @date 2025-03-07
 */
public class ButlerSettings extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long settingsId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 是否删除：Y（删除）、N（不删除） */
    @Excel(name = "是否删除：Y", readConverterExp = "删=除")
    private String isDel;

    public void setSettingsId(Long settingsId) 
    {
        this.settingsId = settingsId;
    }

    public Long getSettingsId() 
    {
        return settingsId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("settingsId", getSettingsId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
